<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static AdAccountCreationRequestSubverticalValues getInstance()
 */
class AdAccountCreationRequestSubverticalValues extends AbstractEnum {

  const ACCOUNTING_AND_TAXES_AND_LEGAL = 'ACCOUNTING_AND_TAXES_AND_LEGAL';
  const AGRICULTURE_AND_FARMING = 'AGRICULTURE_AND_FARMING';
  const ECOMMERCE_AGRICULTURE_AND_FARMING = 'ECOMMERCE_AGRICULTURE_AND_FARMING';
  const AIR = 'AIR';
  const AIR_FREIGHT_OR_PACKAGE = 'AIR_FREIGHT_OR_PACKAGE';
  const APPAREL_AND_ACCESSORIES = 'APPAREL_AND_ACCESSORIES';
  const ARTS = 'ARTS';
  const AUCTIONS = 'AUCTIONS';
  const AUTO_RENTAL = 'AUTO_RENTAL';
  const B2B = 'B2B';
  const B2B_MANUFACTURING = 'B2B_MANUFACTURING';
  const BEAUTY_AND_PERSONAL_CARE = 'BEAUTY_AND_PERSONAL_CARE';
  const BEER_AND_WINE_AND_LIQUOR = 'BEER_AND_WINE_AND_LIQUOR';
  const BOOKSTORES = 'BOOKSTORES';
  const BUS_AND_TAXI_AND_AUTO_RETAL = 'BUS_AND_TAXI_AND_AUTO_RETAL';
  const BUSINESS_SUPPORT_SERVICES = 'BUSINESS_SUPPORT_SERVICES';
  const CABLE_AND_SATELLITE = 'CABLE_AND_SATELLITE';
  const CAREER = 'CAREER';
  const COMPUTING_AND_PERIPHERALS = 'COMPUTING_AND_PERIPHERALS';
  const CONSOLE_DEVELOPER = 'CONSOLE_DEVELOPER';
  const CONSOLE_DEVICE = 'CONSOLE_DEVICE';
  const CONSTRUCTION_AND_MINING = 'CONSTRUCTION_AND_MINING';
  const CONSULTING = 'CONSULTING';
  const CONSUMER_ELECTRONICS = 'CONSUMER_ELECTRONICS';
  const CONSUMER_TECH = 'CONSUMER_TECH';
  const CREDIT_AND_FINANCING_AND_MORTAGES = 'CREDIT_AND_FINANCING_AND_MORTAGES';
  const CRUISES_AND_MARINE = 'CRUISES_AND_MARINE';
  const CVB_CONVENTION_AND_VISITORS_BUREAU = 'CVB_CONVENTION_AND_VISITORS_BUREAU';
  const DAILYDEALS = 'DAILYDEALS';
  const DATING = 'DATING';
  const DEPARTMENT_STORE = 'DEPARTMENT_STORE';
  const DESKTOP_SOFTWARE = 'DESKTOP_SOFTWARE';
  const DIGITAL_ADVERTISING_AND_MARKETING_OR_UNTAGGED_AGENCIES = 'DIGITAL_ADVERTISING_AND_MARKETING_OR_UNTAGGED_AGENCIES';
  const ECATALOG = 'ECATALOG';
  const ED_TECH = 'ED_TECH';
  const EDUCATION_RESOURCES = 'EDUCATION_RESOURCES';
  const ELEARNING_AND_MASSIVE_ONLINE_OPEN_COURSES = 'ELEARNING_AND_MASSIVE_ONLINE_OPEN_COURSES';
  const ENGINEERING_AND_DESIGN = 'ENGINEERING_AND_DESIGN';
  const EVENTS = 'EVENTS';
  const FAMILY_AND_HEALTH = 'FAMILY_AND_HEALTH';
  const FITNESS = 'FITNESS';
  const FOOD = 'FOOD';
  const FOOTWEAR = 'FOOTWEAR';
  const FOR_PROFIT_COLLEGES_AND_UNIVERSITIES = 'FOR_PROFIT_COLLEGES_AND_UNIVERSITIES';
  const GAMBLING = 'GAMBLING';
  const GOVERNMENT = 'GOVERNMENT';
  const GROCERY_AND_DRUG_AND_CONVENIENCE = 'GROCERY_AND_DRUG_AND_CONVENIENCE';
  const HIGHWAYS = 'HIGHWAYS';
  const HOME_AND_OFFICE = 'HOME_AND_OFFICE';
  const HOME_IMPROVEMENT = 'HOME_IMPROVEMENT';
  const HOME_SERVICE = 'HOME_SERVICE';
  const HOTEL_AND_ACCOMODATION = 'HOTEL_AND_ACCOMODATION';
  const HOUSEHOLD_GOODS = 'HOUSEHOLD_GOODS';
  const INSURANCE = 'INSURANCE';
  const INVESTMENT_BANK_AND_BROKERAGE = 'INVESTMENT_BANK_AND_BROKERAGE';
  const MEDIA = 'MEDIA';
  const MOBILE_AND_SOCIAL = 'MOBILE_AND_SOCIAL';
  const MOBILE_APPS = 'MOBILE_APPS';
  const MOVIES = 'MOVIES';
  const MUSEUMS_AND_PARKS_AND_LIBRARIES = 'MUSEUMS_AND_PARKS_AND_LIBRARIES';
  const MUSIC_AND_RADIO = 'MUSIC_AND_RADIO';
  const NON_PROFIT = 'NON_PROFIT';
  const NOT_FOR_PROFIT_COLLEGES_AND_UNIVERSITIES = 'NOT_FOR_PROFIT_COLLEGES_AND_UNIVERSITIES';
  const OFFICE = 'OFFICE';
  const OIL_AND_GAS_AND_CONSUMABLE_FUEL = 'OIL_AND_GAS_AND_CONSUMABLE_FUEL';
  const ONLINE_OR_SOFTWARE = 'ONLINE_OR_SOFTWARE';
  const PET = 'PET';
  const PET_RETAIL = 'PET_RETAIL';
  const PHARMACEUTICAL_OR_HEALTH = 'PHARMACEUTICAL_OR_HEALTH';
  const PHOTOGRAPHY_AND_FILMING_SERVICES = 'PHOTOGRAPHY_AND_FILMING_SERVICES';
  const POLITICAL = 'POLITICAL';
  const PR = 'PR';
  const PUBLISHING_INTERNET = 'PUBLISHING_INTERNET';
  const RAILROADS = 'RAILROADS';
  const REAL_ESTATE = 'REAL_ESTATE';
  const REAL_MONEY_OR_SKILLED_GAMING = 'REAL_MONEY_OR_SKILLED_GAMING';
  const RELIGIOUS = 'RELIGIOUS';
  const RESTAURANT = 'RESTAURANT';
  const RETAIL_AND_CREDIT_UNION_AND_COMMERCIAL_BANK = 'RETAIL_AND_CREDIT_UNION_AND_COMMERCIAL_BANK';
  const SCHOOL_AND_EARLY_CHILDREN_EDCATION = 'SCHOOL_AND_EARLY_CHILDREN_EDCATION';
  const SEASONAL_POLITICAL_SPENDERS = 'SEASONAL_POLITICAL_SPENDERS';
  const SMB_AGENTS_AND_PROMOTERS = 'SMB_AGENTS_AND_PROMOTERS';
  const SMB_ARTISTS_AND_PERFORMERS = 'SMB_ARTISTS_AND_PERFORMERS';
  const SMB_CANVAS = 'SMB_CANVAS';
  const SMB_CATALOG = 'SMB_CATALOG';
  const SMB_CONSUMER_MOBILE_DEVICE = 'SMB_CONSUMER_MOBILE_DEVICE';
  const SMB_CROSS_PLATFORM = 'SMB_CROSS_PLATFORM';
  const SMB_ELECTRONICS_AND_APPLIANCES = 'SMB_ELECTRONICS_AND_APPLIANCES';
  const SMB_ENERGY = 'SMB_ENERGY';
  const SMB_GAME_AND_TOY = 'SMB_GAME_AND_TOY';
  const SMB_INFORMATION = 'SMB_INFORMATION';
  const SMB_NAVIGATION_AND_MEASUREMENT = 'SMB_NAVIGATION_AND_MEASUREMENT';
  const SMB_OPERATIONS_AND_OTHER = 'SMB_OPERATIONS_AND_OTHER';
  const SMB_OTHER = 'SMB_OTHER';
  const SMB_PERSONAL_CARE = 'SMB_PERSONAL_CARE';
  const SMB_RELIGIOUS = 'SMB_RELIGIOUS';
  const SMB_RENTALS = 'SMB_RENTALS';
  const SMB_REPAIR_AND_MAINTENANCE = 'SMB_REPAIR_AND_MAINTENANCE';
  const OTHER_WIRELINE_SERVICES = 'OTHER_WIRELINE_SERVICES';
  const SOFTWARE = 'SOFTWARE';
  const SPORTING = 'SPORTING';
  const SPORTS = 'SPORTS';
  const STREAMING = 'STREAMING';
  const TELEVISION = 'TELEVISION';
  const TOBACCO = 'TOBACCO';
  const TOY_AND_HOBBY = 'TOY_AND_HOBBY';
  const TRADE_SCHOOL = 'TRADE_SCHOOL';
  const TRANSPORTATION_EQUIPMENT = 'TRANSPORTATION_EQUIPMENT';
  const TRAVAL_AGENCY = 'TRAVAL_AGENCY';
  const TRUCK_AND_MOVING = 'TRUCK_AND_MOVING';
  const UTILITIES_AND_ENERGY_EQUIPMENT_AND_SERVICES = 'UTILITIES_AND_ENERGY_EQUIPMENT_AND_SERVICES';
  const WATER_AND_SOFT_DRINK_AND_BAVERAGE = 'WATER_AND_SOFT_DRINK_AND_BAVERAGE';
  const WIRELESS_SERVICES = 'WIRELESS_SERVICES';
}
