<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static PageSavedFilterSectionValues getInstance()
 */
class PageSavedFilterSectionValues extends AbstractEnum {

  const AUDIENCE_ALERTS = 'AUDIENCE_ALERTS';
  const CHEX_PENDING_ORDERS = 'CHEX_PENDING_ORDERS';
  const CHEX_COMPLETED_ORDERS = 'CHEX_COMPLETED_ORDERS';
  const COMMERCE_PLATFORM_SETTINGS = 'COMMERCE_PLATFORM_SETTINGS';
  const COMMERCE_PRODUCTS = 'COMMERCE_PRODUCTS';
  const COMMERCE_COLLECTIONS = 'COMMERCE_COLLECTIONS';
  const COMMERCE_PENDING_ORDERS = 'COMMERCE_PENDING_ORDERS';
  const COMMERCE_PAST_ORDERS = 'COMMERCE_PAST_ORDERS';
  const COMMERCE_DISCOUNT_CODES = 'COMMERCE_DISCOUNT_CODES';
  const COMMERCE_MERCHANT_SETTINGS = 'COMMERCE_MERCHANT_SETTINGS';
  const COMMERCE_SHOP_LINK = 'COMMERCE_SHOP_LINK';
  const DONATIONS_SETTINGS = 'DONATIONS_SETTINGS';
  const DRAFTS = 'DRAFTS';
  const REWARD_PROGRAM = 'REWARD_PROGRAM';
  const EXPIRED_POSTS = 'EXPIRED_POSTS';
  const EXPIRING_POSTS = 'EXPIRING_POSTS';
  const INSTANT_ARTICLES = 'INSTANT_ARTICLES';
  const INSTANT_ARTICLES_DEVELOPMENT = 'INSTANT_ARTICLES_DEVELOPMENT';
  const INSTANT_ARTICLES_MONETIZATION = 'INSTANT_ARTICLES_MONETIZATION';
  const INSTANT_ARTICLES_SAMPLE = 'INSTANT_ARTICLES_SAMPLE';
  const INSTANT_ARTICLES_SETTINGS = 'INSTANT_ARTICLES_SETTINGS';
  const INSTANT_ARTICLES_SIGN_UP = 'INSTANT_ARTICLES_SIGN_UP';
  const INSTANT_ARTICLES_CTA_MANAGEMENT = 'INSTANT_ARTICLES_CTA_MANAGEMENT';
  const INSTANT_ARTICLES_TRAFFIC_LIFT = 'INSTANT_ARTICLES_TRAFFIC_LIFT';
  const INVOICES_ACTIVE = 'INVOICES_ACTIVE';
  const INVOICES_HISTORY = 'INVOICES_HISTORY';
  const LEAD_ADS_DRAFT_FORMS = 'LEAD_ADS_DRAFT_FORMS';
  const LEAD_ADS_FORMS = 'LEAD_ADS_FORMS';
  const LEAD_ADS_CRM_SETUP = 'LEAD_ADS_CRM_SETUP';
  const LEAD_ADS_CUSTOM_CRM_SETUP = 'LEAD_ADS_CUSTOM_CRM_SETUP';
  const PUBLISHED_POSTS = 'PUBLISHED_POSTS';
  const SCHEDULED_POSTS = 'SCHEDULED_POSTS';
  const ADS_POSTS = 'ADS_POSTS';
  const VIDEOS = 'VIDEOS';
  const JOB_POSTS = 'JOB_POSTS';
  const NEW_MATCHES = 'NEW_MATCHES';
  const VIDEOS_COPYRIGHT = 'VIDEOS_COPYRIGHT';
  const REPORTED = 'REPORTED';
  const PLAYLISTS = 'PLAYLISTS';
  const PLAYLIST_DETAILS = 'PLAYLIST_DETAILS';
  const POSTS_CONFIG = 'POSTS_CONFIG';
  const SEASONS = 'SEASONS';
  const SEASON_DETAILS = 'SEASON_DETAILS';
  const TAKEDOWNS = 'TAKEDOWNS';
  const UNSENT_REPORTS = 'UNSENT_REPORTS';
  const ALLOWED = 'ALLOWED';
  const TRACKED = 'TRACKED';
  const BLOCKED = 'BLOCKED';
  const CLAIMED = 'CLAIMED';
  const MANUAL_REVIEW = 'MANUAL_REVIEW';
  const MATCH_RULES = 'MATCH_RULES';
  const DISPUTES = 'DISPUTES';
  const ACTIVE_FUNDRAISERS = 'ACTIVE_FUNDRAISERS';
  const DRAFT_FUNDRAISERS = 'DRAFT_FUNDRAISERS';
  const READY_FUNDRAISERS = 'READY_FUNDRAISERS';
  const ENDED_FUNDRAISERS = 'ENDED_FUNDRAISERS';
  const ADS_CANVAS = 'ADS_CANVAS';
  const REFERENCE_FILES = 'REFERENCE_FILES';
  const ALL_REFERENCE_FILES = 'ALL_REFERENCE_FILES';
  const REFERENCE_CONFLICTS = 'REFERENCE_CONFLICTS';
  const REFERENCE_POSSIBLE_CONFLICTS = 'REFERENCE_POSSIBLE_CONFLICTS';
  const REFERENCE_RESOLUTIONS = 'REFERENCE_RESOLUTIONS';
  const SOUND_RECORDINGS = 'SOUND_RECORDINGS';
  const PREMIUM_MUSIC_VIDEOS = 'PREMIUM_MUSIC_VIDEOS';
  const LIVE_BROADCASTS = 'LIVE_BROADCASTS';
  const CROSSPOSTED_VIDEOS = 'CROSSPOSTED_VIDEOS';
  const PUBLISHED_PROFILE_PICTURE_FRAMES = 'PUBLISHED_PROFILE_PICTURE_FRAMES';
  const PENDING_PROFILE_PICTURE_FRAMES = 'PENDING_PROFILE_PICTURE_FRAMES';
  const TAROT_COMPOSER = 'TAROT_COMPOSER';
  const DRAFT_EDITIONS = 'DRAFT_EDITIONS';
  const PUBLISHED_EDITIONS = 'PUBLISHED_EDITIONS';
  const PUBLISHED_EVENTS = 'PUBLISHED_EVENTS';
  const DRAFT_EVENTS = 'DRAFT_EVENTS';
  const SCHEDULED_EVENTS = 'SCHEDULED_EVENTS';
  const ARCHIVED_EVENTS = 'ARCHIVED_EVENTS';
  const TOURS = 'TOURS';
  const POLLS_COMPOSER = 'POLLS_COMPOSER';
  const BRAND_ASSET_LIBRARY = 'BRAND_ASSET_LIBRARY';
  const JOB_APPLICATIONS = 'JOB_APPLICATIONS';
  const SUBSCRIPTIONS = 'SUBSCRIPTIONS';
  const NEWS_SUBSCRIPTIONS_PUBLISHER_TOOLS = 'NEWS_SUBSCRIPTIONS_PUBLISHER_TOOLS';
  const NEWS_SUBSCRIPTIONS_PUBLISHER_ASSET_MANAGEMENT = 'NEWS_SUBSCRIPTIONS_PUBLISHER_ASSET_MANAGEMENT';
  const NEWS_SUBSCRIPTIONS_PUBLISHER_OFFER_MANAGEMENT = 'NEWS_SUBSCRIPTIONS_PUBLISHER_OFFER_MANAGEMENT';
  const QR_CODE = 'QR_CODE';
  const ORGANIC_PIXEL = 'ORGANIC_PIXEL';
  const CREDIBILITY_INDICATORS = 'CREDIBILITY_INDICATORS';
  const ATTRIBUTIONS = 'ATTRIBUTIONS';
  const BROADCASTED_MESSAGES = 'BROADCASTED_MESSAGES';
  const BRANDED_CONTENT = 'BRANDED_CONTENT';
  const BRANDED_CONTENT_CREATOR = 'BRANDED_CONTENT_CREATOR';
  const SOUNDS_COLLECTION = 'SOUNDS_COLLECTION';
  const CONTENT_TESTS = 'CONTENT_TESTS';
  const GEM_PRODUCER_DASHBOARD = 'GEM_PRODUCER_DASHBOARD';
  const MONETIZED_VIDEOS = 'MONETIZED_VIDEOS';
  const AUDIO_RELEASES = 'AUDIO_RELEASES';
  const NEWS_STORYLINES = 'NEWS_STORYLINES';
  const REGISTRATIONS = 'REGISTRATIONS';
  const IA_REGIWALL_SETTINGS = 'IA_REGIWALL_SETTINGS';
}
